Redmine - Feature #4015

Make app settings overridable at project level
2009-10-10 13:15 - Jean-Philippe Lang

Status: New Start date: 2009-10-10
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

Allow some application settings (eg. Theme) to be overridden at project level.

Related issues:

Related to Redmine - Feature #2778: Project's theme configuration New 2009-02-18
Related to Redmine - Feature #3967: Ability to define default columns to disp... Closed 2009-10-04
Related to Redmine - Feature #4462: Per Project Emission Address New 2009-12-21
Related to Redmine - Feature #4049: Permission management on a per project basis Closed 2009-10-18
Related to Redmine - Feature #1853: Make Projects truly independent of each o... New 2008-09-04
Related to Redmine - Feature #2076: Individual Permissions for Each Project Closed 2008-10-23
Related to Redmine - Feature #5995: Text formatting can be dfferent base on p... Closed 2010-07-29
Related to Redmine - Patch #4274: Use Issue status for percent done Closed 2009-11-23
Related to Redmine - Feature #850: Per-project role permissions New 2008-03-14
Related to Redmine - Feature #2539: New project setting: mandatory/optional c... New 2009-01-19
Related to Redmine - Feature #2058: Attachment max. size per project New 2008-10-20
Related to Redmine - Feature #10027: Make "Required" overridable per-project New

Related to Redmine - Feature #5127: Custom Fields to be configurable on 'per ... New 2010-03-19
Related to Redmine - Feature #2563: issue tracker should be own tab in projec... Closed 2009-01-22
Related to Redmine - Feature #7349: Per-project email notification settings New 2011-01-17
Related to Redmine - Feature #1144: Time tracking activities on a per project... Closed 2008-04-29
Related to Redmine - Feature #12347: "Calculate the issue done ratio" per pro... New

Related to Redmine - Feature #12044: Change Link in Notification Mails per Pr... New

Related to Redmine - Feature #3316: Set language per project New 2009-05-07
Related to Redmine - Feature #432: Custom Email templates, system wide and pe... New

Related to Redmine - Feature #13742: Multi project for email incoming Closed

Related to Redmine - Feature #14073: Permit to mass-edit project settings New

Related to Redmine - Feature #8095: Allow overriding the default text formatt... New 2011-04-07
Related to Redmine - Feature #7360: Issue custom query: default query per ins... Closed 2011-01-18
History

#1 - 2009-12-04 19:17 - Jean-Philippe Lang
- Target version set to 1.0.0 (RC)

#2 - 2009-12-18 06:13 - Richard Schulte
+1
e Theme
e Trackers/Statuses/Workflow
¢ Enumerations
* Roles and Permissions
Haha yea, a laundry list, | know. Just the top two would be great.

#3 - 2009-12-20 06:49 - Michael Koch

+1 and agree with Richard. This would be a great feature (and much needed for our project!)
#4 - 2010-01-12 09:55 - Nikolay Kotlyarov
+1
e Trackers/Statuses/Workflow

e Enumerations
¢ Roles and Permissions

#5 - 2010-01-12 10:00 - Nikolay Kotlyarov

Workflow enhancements related to #559

#6 - 2010-01-13 11:14 - Anton Statutov

IMO, the main settings need to override are columns displayed in the issue list.
#7 - 2010-03-24 09:52 - Nikolay Kotlyarov
Jean-Philippe Lang wrote:

Allow some application settings (eg. Theme) to be overridden at project level.

Which settings do you mean by "some"?:)

#8 - 2010-05-31 14:58 - Mischa The Evil

Added issue-relations to:

#9 - 2010-06-03 23:15 - Richard Schulte

Just wondering, what settings are you all honing in on?

#10 - 2010-06-15 00:50 - Eric Davis
- Target version deleted (1.0.0 (RC))

Removing from 1.0. This hasn't been completed and 1.0 is feature frozen.

#11 - 2011-01-12 13:22 - Marcelo Fernandes

+1 1 do need enable/disable 'Documents' Section per project.

#12 - 2011-04-14 01:00 - Matthew Burton

+1. | think this is the feature that would make Redmine a more viable option for enterprises (like mine). When you have many different users and
missions, it's hard to find one set of enumerations, roles, and trackers that makes everyone happy yet at the same time isn't overly cumbersome for
administrators. This would also relieve the IT office from sole responsible for administration, as it would give many administration permissions to
project managers.

Been lurking for a few months and really love RM. | created an account just so | could speak up for this feature.

#13 - 2011-04-14 10:08 - Etienne Massip
- Assignee deleted (Jean-Philippe Lang)

- Target version set to Candidate for next major release

#14 - 2012-05-07 13:32 - Michael Flyorko

+1

#15 - 2012-05-18 03:18 - Brad Rushworth

Jean-Philippe Lang wrote:

Allow some application settings (eg. Theme) to be overridden at project level.
https://www.redmine.org/issues/559
https://www.redmine.org/issues/1853
https://www.redmine.org/issues/2076
https://www.redmine.org/issues/4049
https://www.redmine.org/issues/5624

For everyone's info, there is a plugin that allows user-selectable themes and it works great:

http://www.redmine.org/plugins/themechanger

#16 - 2012-11-22 21:29 - Thomas Robbs

+1 and +1 Matthew Burton.

It seems the burden is mainly due to the "project-y" settings being mixed with the "application-y" settings. For example, configuring "Default columns
displayed on the issue list" in the application level settings.

I'd suggest just separating settings along these lines into two camps:

1. Redmine Settings (app level stuff)
2. Project Templates (project level stuff)

#2 effectively starts out as a "Default Project" template, defined by the existing default "project level stuff" settings.
A new installation would be effectively transparent, save some reorganization of the settings and adding the notion of "templates".

An existing installation would, on upgrade, and ideally for me, give me the option to save each of my existing projects' configurations as new
templates (default name = project name, editable), or use an existing template of my choice.

| could also see this notion extending to Trackers and Categories as there are similar requests that pull the solution towards needing to be sufficient
for their needs as well. Might be helpful to map the entities and their configuration options to make the solution more obvious.

#17 - 2013-03-25 03:34 - Dipan Mehta

+1. This would be a great leap forward in the Redmine's capability. A strong request to have this.
Also add #850 as a related issue.

#18 - 2013-03-26 07:10 - Toshi MARUYAMA

Dipan Mehta wrote:

Also add #850 as a related issue.

Done.

#19 - 2013-04-09 12:44 - Dipan Mehta
Another related issue #2058

#20 - 2013-04-09 14:01 - Daniel Dehennin
+1 with "Required" (#10027)

#21 - 2013-04-10 12:47 - Dipan Mehta

There are just about so many issues which asks for 'Per project configuration'. Here is a list:

1. #3452, - Email notification config (alongwith #7349, #8331)
2.#1144 - Time tracking activities

3.#552 - Document categories

4. #12347 - Calculation logic of issue %done ratio

5. #12044 - Notification Mails per Project

6.#9194 - default issue list view layout

7.#7244 - default query

#3316 - Language! ...aaha

9.#432 - Custom Email templates and email settings

©

#22 - 2013-07-02 14:47 - Glenn Gould

+1 - most wanted feature for me... ;)

#23 - 2014-02-10 06:25 - Toshi MARUYAMA
- Related to Feature #8095: Allow overriding the default text formatting in each project added

#24 - 2014-02-10 06:29 - Toshi MARUYAMA

- Related to deleted (Feature #5624: the Text formatting configuration in each project.)
http://www.redmine.org/plugins/themechanger
https://www.redmine.org/issues/2
https://www.redmine.org/issues/850
https://www.redmine.org/issues/850
https://www.redmine.org/issues/2058
https://www.redmine.org/issues/10027
https://www.redmine.org/issues/3452
https://www.redmine.org/issues/7349
https://www.redmine.org/issues/8331
https://www.redmine.org/issues/1144
https://www.redmine.org/issues/552
https://www.redmine.org/issues/12347
https://www.redmine.org/issues/12044
https://www.redmine.org/issues/9194
https://www.redmine.org/issues/7244
https://www.redmine.org/issues/3316
https://www.redmine.org/issues/432

#25 - 2015-05-13 04:22 - Toshi MARUYAMA

- Related to Feature #7360: Issue custom query: default query per instance, project and user added

#26 - 2015-05-13 04:22 - Toshi MARUYAMA
- Related to deleted (Feature #7244: Default query per project)

#27 - 2020-06-11 04:50 - Mizuki ISHIKAWA

| attach a patch to override application settings at the project level.
This is not a tested or fully implemented patch, it was created to get your design reviewed.

Add Setting.project_id column

Setting for each project if setting.project_id exists, application-wide setting if setting.project_id is nil

Setting.welcome_text is how to get the application settings, and project.setting_welcome_text is how to get the settings for each project.
project.setting_welcome_text returns the same result as Setting.welcome_text if the record of @Setting.where(project_id: project.id,
name:'welcome_text') does not exist

This patch allows you to change "Isuses list defaults” on http://<url>/projects/<project_id>/settings/overwrite_global_settings page as a trial.

#28 - 2020-06-11 04:55 - Mizuki ISHIKAWA
- File draft-4015.patch added

The patch | intended to attach at #4015#note-27

Files

draft-4015.patch 14.7 KB 2020-06-11 Mizuki ISHIKAWA
https://www.redmine.org/issues/4015#note-27
http://www.tcpdf.org

